NSX-T Data Center REST API

List distributed vlan connections

List distributed vlan connections

Request:

Method:
GET
URI Path(s):
/policy/api/v1/infra/distributed-vlan-connections
Request Headers:
n/a
Query Parameters:
DistributedVlanConnectionListRequestParameters+
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/infra/distributed-vlan-connections

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
DistributedVlanConnectionListResult+

Example Response:

{ "results" : [ { "resource_type": "DistributedVlanConnection", "id": "gateway-101", "restricted_availability": { "zone_external_ids": [ "33dbf426-c282-42a0-9ae2-5e924b8a78b4:zone-c38", "33dbf426-c282-42a0-9ae2-5e924b8a78b4:zone-c39" ] }, "display_name": "gateway-101", "path": "/infra/distributed-vlan-connections/gateway-101", "parent_path": "/infra", "relative_path": "gateway-101", "gateway_addresses" : ["10.2.1.1/24"], "vlan_id": 101, "_create_user":"admin", "_create_time":1516750267338, "_last_modified_user":"admin", "_last_modified_time":1516750267338, "_system_owned":false, "_protection":"NOT_PROTECTED", "_revision":0 }, { "resource_type": "DistributedVlanConnection", "id": "gateway-102", "restricted_availability": { "span_path": "/infra/network-spans/span1" }, "display_name": "gateway-102", "path": "/infra/distributed-vlan-connections/gateway-102", "parent_path": "/infra", "relative_path": "gateway-102", "gateway_addresses" : ["11.2.1.1/24"], "vlan_id": 102, "subnet_exclusive_config": { "ip_block_path": "/infra/ip-blocks/external-block", "vlan_extension": { "vpc_gateway_connection_enable": true } }, "_create_user":"admin", "_create_time":1516750267338, "_last_modified_user":"admin", "_last_modified_time":1516750267338, "_system_owned":false, "_protection":"NOT_PROTECTED", "_revision":0 } ], "result_count": 2, "sort_by": "display_name", "sort_ascending": true }

Required Permissions:

read

Feature:

policy_transit_gateway_connection

Additional Errors: